org.apache.pdfbox.preflight.process.reflect

## Class SinglePageValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.SinglePageValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class SinglePageValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`SinglePageValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext context)`
`protected void` `validateActions(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)` This method checks additional actions contained in the given Page object.
`protected void` `validateAnnotation(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)`
`protected void` `validateColorSpaces(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)` Check that all ColorSpace present in the Resource dictionary are conforming to the ISO 19005:2005-1 specification.
`protected void` `validateContent(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)`
`protected void` `validateGraphicObjects(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)` Check that all XObject references in the PDResource of the page and in the Thumb entry are confirming to the PDF/A specification.
`protected void` `validateGroupTransparency(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)` Check that the group dictionary doesn't have a Transparency attribute
`protected void` `validateResources(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SinglePageValidationProcess

    public SinglePageValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`

#### validateActions

    protected void validateActions(PreflightContext context,
                                   org.apache.pdfbox.pdmodel.PDPage page)
                            throws ValidationException

This method checks additional actions contained in the given Page object.

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
Throws:
  `ValidationException`

#### validateColorSpaces

    protected void validateColorSpaces(PreflightContext context,
                                       org.apache.pdfbox.pdmodel.PDPage page)

Check that all ColorSpace present in the Resource dictionary are conforming to the ISO 19005:2005-1 specification.

Parameters:
  `context` - the preflight context.
  `page` - the page to check.

#### validateGraphicObjects

    protected void validateGraphicObjects(PreflightContext context,
                                          org.apache.pdfbox.pdmodel.PDPage page)
                                   throws ValidationException

Check that all XObject references in the PDResource of the page and in the Thumb entry are confirming to the PDF/A specification.

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
Throws:
  `ValidationException`

#### validateResources

    protected void validateResources(PreflightContext context,
                                     org.apache.pdfbox.pdmodel.PDPage page)
                              throws ValidationException

Throws:
  `ValidationException`

#### validateContent

    protected void validateContent(PreflightContext context,
                                   org.apache.pdfbox.pdmodel.PDPage page)
                            throws ValidationException

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
Throws:
  `ValidationException`

#### validateAnnotation

    protected void validateAnnotation(PreflightContext context,
                                      org.apache.pdfbox.pdmodel.PDPage page)
                               throws ValidationException

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
Throws:
  `ValidationException`

#### validateGroupTransparency

    protected void validateGroupTransparency(PreflightContext context,
                                             org.apache.pdfbox.pdmodel.PDPage page)
                                      throws ValidationException

Check that the group dictionary doesn't have a Transparency attribute

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
Throws:
  `ValidationException`